## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitSphere Struct Reference

Sphere value emitter - returns points in a sphere. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitSphere:

[legend]
List of all members.

## Public Member Functions

virtual void | GetContent (csVector3 &center, float &min, float &max)=0
| get content
virtual void | SetContent (const csVector3 &center, float min, float max)=0
| set content, center and min, max radius

## Detailed Description

Sphere value emitter - returns points in a sphere.

Main creators of instances implementing this interface:

- iEmitFactoryState::CreateSphere()

Main users of this interface:

- iEmitState

Definition at line 80 of file emit.h.

## Member Function Documentation

virtual void iEmitSphere::GetContent | ( | csVector3 & | center,
|  | float & | min,
|  | float & | max
| ) | `[pure virtual]`

| get content

virtual void iEmitSphere::SetContent | ( | const csVector3 & | center,
|  | float | min,
|  | float | max
| ) | `[pure virtual]`

| set content, center and min, max radius

The documentation for this struct was generated from the following file:

- imesh/emit.h